Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 17 May 2008 23:07:03 +0200
From:      Mark Daniel Reidel <ports@mark.reidel.info>
To:        FreeBSD-gnats-submit@FreeBSD.org
Subject:   ports/123772: [PATCH] math/qalculate: Fix build with latest math/cln
Message-ID:  <E1JxTcN-00022f-TB@marky.domainfactory.de>
Resent-Message-ID: <200805172110.m4HLA6kL052237@freefall.freebsd.org>

next in thread | raw e-mail | index | archive | help

>Number:         123772
>Category:       ports
>Synopsis:       [PATCH] math/qalculate: Fix build with latest math/cln
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Sat May 17 21:10:06 UTC 2008
>Closed-Date:
>Last-Modified:
>Originator:     Mark Daniel Reidel
>Release:        FreeBSD 7.0-STABLE i386
>Organization:
>Environment:
System: FreeBSD marky.domainfactory.de 7.0-STABLE FreeBSD 7.0-STABLE #11: Tue May 13 15:07:34 CEST 2008
>Description:
This fixes the build of qalculate against the latest math/cln which lacks the cln-config script so I had to work around it using pkg-config. Please submit together with the patch to math/libqalculate, without it, this patch is pretty useless.

Added file(s):
- files/patch-configure
- files/patch-src-Makefile

Generated with FreeBSD Port Tools 0.77
>How-To-Repeat:
>Fix:

--- qalculate-0.9.6_1.patch begins here ---
diff -ruN --exclude=CVS /tmp/portdev/math/qalculate/Makefile /usr/ports/math/qalculate/Makefile
--- /tmp/portdev/math/qalculate/Makefile	2007-10-25 01:36:04.000000000 +0200
+++ /usr/ports/math/qalculate/Makefile	2008-05-15 14:33:44.000000000 +0200
@@ -25,4 +25,7 @@
 GNU_CONFIGURE=	yes
 INSTALLS_OMF=	yes
 
+post-patch:
+	@${REINPLACE_CMD} -e 's/^GMSGFMT = @GMSGFMT@/GMSGFMT = msgfmt/' ${WRKSRC}/po/Makefile.in.in
+
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /tmp/portdev/math/qalculate/files/patch-configure /usr/ports/math/qalculate/files/patch-configure
--- /tmp/portdev/math/qalculate/files/patch-configure	1970-01-01 01:00:00.000000000 +0100
+++ /usr/ports/math/qalculate/files/patch-configure	2008-05-15 13:33:03.000000000 +0200
@@ -0,0 +1,534 @@
+--- configure.orig	2008-05-15 13:32:25.000000000 +0200
++++ configure	2008-05-15 13:32:34.000000000 +0200
+@@ -896,10 +896,9 @@
+ FFLAGS
+ ac_ct_F77
+ LIBTOOL
+-CLN_CONFIG
++PKG_CONFIG
+ CLN_CPPFLAGS
+ CLN_LIBS
+-PKG_CONFIG
+ GLIB_CFLAGS
+ GLIB_LIBS
+ GTK_CFLAGS
+@@ -1541,7 +1540,6 @@
+   --enable-fast-install[=PKGS]
+                           optimize for fast installation [default=yes]
+   --disable-libtool-lock  avoid locking (might break parallel builds)
+-  --disable-clntest       Do not try to compile and run a test CLN program
+ 
+ Optional Packages:
+   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
+@@ -1550,8 +1548,6 @@
+   --with-pic              try to use only PIC/non-PIC objects [default=use
+                           both]
+   --with-tags[=TAGS]      include additional configurations [automatic]
+-  --with-cln-prefix=PFX   Prefix where CLN is installed (optional)
+-  --with-cln-exec-prefix=PFX Exec prefix where CLN is installed (optional)
+   --with-libgnome         use libgnome default=auto
+ 
+ Some influential environment variables:
+@@ -6648,7 +6644,7 @@
+   ;;
+ *-*-irix6*)
+   # Find out which ABI we are using.
+-  echo '#line 6651 "configure"' > conftest.$ac_ext
++  echo '#line 6647 "configure"' > conftest.$ac_ext
+   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>&5
+   ac_status=$?
+@@ -8566,11 +8562,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:8569: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8565: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:8573: \$? = $ac_status" >&5
++   echo "$as_me:8569: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -8856,11 +8852,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:8859: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8855: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:8863: \$? = $ac_status" >&5
++   echo "$as_me:8859: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -8960,11 +8956,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:8963: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:8959: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:8967: \$? = $ac_status" >&5
++   echo "$as_me:8963: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+@@ -11318,7 +11314,7 @@
+   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+   lt_status=$lt_dlunknown
+   cat > conftest.$ac_ext <<EOF
+-#line 11321 "configure"
++#line 11317 "configure"
+ #include "confdefs.h"
+ 
+ #if HAVE_DLFCN_H
+@@ -11418,7 +11414,7 @@
+   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
+   lt_status=$lt_dlunknown
+   cat > conftest.$ac_ext <<EOF
+-#line 11421 "configure"
++#line 11417 "configure"
+ #include "confdefs.h"
+ 
+ #if HAVE_DLFCN_H
+@@ -13833,11 +13829,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:13836: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:13832: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:13840: \$? = $ac_status" >&5
++   echo "$as_me:13836: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -13937,11 +13933,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:13940: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:13936: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:13944: \$? = $ac_status" >&5
++   echo "$as_me:13940: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+@@ -15511,11 +15507,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:15514: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:15510: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:15518: \$? = $ac_status" >&5
++   echo "$as_me:15514: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -15615,11 +15611,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:15618: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:15614: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:15622: \$? = $ac_status" >&5
++   echo "$as_me:15618: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+@@ -17810,11 +17806,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:17813: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:17809: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:17817: \$? = $ac_status" >&5
++   echo "$as_me:17813: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -18100,11 +18096,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:18103: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:18099: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>conftest.err)
+    ac_status=$?
+    cat conftest.err >&5
+-   echo "$as_me:18107: \$? = $ac_status" >&5
++   echo "$as_me:18103: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s "$ac_outfile"; then
+      # The compiler can only warn and ignore the option if not recognized
+      # So say no if there are warnings other than the usual output.
+@@ -18204,11 +18200,11 @@
+    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
+    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
+    -e 's:$: $lt_compiler_flag:'`
+-   (eval echo "\"\$as_me:18207: $lt_compile\"" >&5)
++   (eval echo "\"\$as_me:18203: $lt_compile\"" >&5)
+    (eval "$lt_compile" 2>out/conftest.err)
+    ac_status=$?
+    cat out/conftest.err >&5
+-   echo "$as_me:18211: \$? = $ac_status" >&5
++   echo "$as_me:18207: \$? = $ac_status" >&5
+    if (exit $ac_status) && test -s out/conftest2.$ac_objext
+    then
+      # The compiler can only warn and ignore the option if not recognized
+@@ -20962,52 +20958,16 @@
+ 
+ 
+ 
+-# Check whether --with-cln-prefix was given.
+-if test "${with_cln_prefix+set}" = set; then
+-  withval=$with_cln_prefix; cln_config_prefix="$withval"
+-else
+-  cln_config_prefix=""
+-fi
+-
+-
+-# Check whether --with-cln-exec-prefix was given.
+-if test "${with_cln_exec_prefix+set}" = set; then
+-  withval=$with_cln_exec_prefix; cln_config_exec_prefix="$withval"
+-else
+-  cln_config_exec_prefix=""
+-fi
+-
+-# Check whether --enable-clntest was given.
+-if test "${enable_clntest+set}" = set; then
+-  enableval=$enable_clntest;
+-else
+-  enable_clntest=yes
+-fi
+-
+-
+-if test x$cln_config_exec_prefix != x ; then
+-    cln_config_args="$cln_config_args --exec-prefix=$cln_config_exec_prefix"
+-    if test x${CLN_CONFIG+set} != xset ; then
+-        CLN_CONFIG=$cln_config_exec_prefix/bin/cln-config
+-    fi
+-fi
+-if test x$cln_config_prefix != x ; then
+-    cln_config_args="$cln_config_args --prefix=$cln_config_prefix"
+-    if test x${CLN_CONFIG+set} != xset ; then
+-        CLN_CONFIG=$cln_config_prefix/bin/cln-config
+-    fi
+-fi
+-
+-# Extract the first word of "cln-config", so it can be a program name with args.
+-set dummy cln-config; ac_word=$2
++# Extract the first word of "pkg-config", so it can be a program name with args.
++set dummy pkg-config; ac_word=$2
+ { echo "$as_me:$LINENO: checking for $ac_word" >&5
+ echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+-if test "${ac_cv_path_CLN_CONFIG+set}" = set; then
++if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+-  case $CLN_CONFIG in
++  case $PKG_CONFIG in
+   [\\/]* | ?:[\\/]*)
+-  ac_cv_path_CLN_CONFIG="$CLN_CONFIG" # Let the user override the test with a path.
++  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+   ;;
+   *)
+   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+@@ -21017,7 +20977,7 @@
+   test -z "$as_dir" && as_dir=.
+   for ac_exec_ext in '' $ac_executable_extensions; do
+   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+-    ac_cv_path_CLN_CONFIG="$as_dir/$ac_word$ac_exec_ext"
++    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+     break 2
+   fi
+@@ -21025,14 +20985,14 @@
+ done
+ IFS=$as_save_IFS
+ 
+-  test -z "$ac_cv_path_CLN_CONFIG" && ac_cv_path_CLN_CONFIG="no"
++  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
+   ;;
+ esac
+ fi
+-CLN_CONFIG=$ac_cv_path_CLN_CONFIG
+-if test -n "$CLN_CONFIG"; then
+-  { echo "$as_me:$LINENO: result: $CLN_CONFIG" >&5
+-echo "${ECHO_T}$CLN_CONFIG" >&6; }
++PKG_CONFIG=$ac_cv_path_PKG_CONFIG
++if test -n "$PKG_CONFIG"; then
++  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
++echo "${ECHO_T}$PKG_CONFIG" >&6; }
+ else
+   { echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+@@ -21042,219 +21002,27 @@
+ cln_min_version=1.1.0
+ { echo "$as_me:$LINENO: checking for CLN - version >= $cln_min_version" >&5
+ echo $ECHO_N "checking for CLN - version >= $cln_min_version... $ECHO_C" >&6; }
+-if test "$CLN_CONFIG" = "no" ; then
++if test "$PKG_CONFIG" = "no" ; then
+     { echo "$as_me:$LINENO: result: no" >&5
+ echo "${ECHO_T}no" >&6; }
+-    echo "*** The cln-config script installed by CLN could not be found"
+-    echo "*** If CLN was installed in PREFIX, make sure PREFIX/bin is in"
+-    echo "*** your path, or set the CLN_CONFIG environment variable to the"
+-    echo "*** full path to cln-config."
++    echo "*** could not find pkg-config"
+     { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
+ echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
+    { (exit 1); exit 1; }; }
+ else
+-    cln_min_major_version=`echo $cln_min_version | \
+-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
+-    cln_min_minor_version=`echo $cln_min_version | \
+-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
+-    cln_min_micro_version=`echo $cln_min_version | \
+-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
+-    CLN_CPPFLAGS=`$CLN_CONFIG $cln_config_args --cppflags`
+-    CLN_LIBS=`$CLN_CONFIG $cln_config_args --libs`
+-    cln_config_version=`$CLN_CONFIG $cln_config_args --version`
+-    cln_config_major_version=`echo $cln_config_version | \
+-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
+-    cln_config_minor_version=`echo $cln_config_version | \
+-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
+-    cln_config_micro_version=`echo $cln_config_version | \
+-            sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
+-    if test \( $cln_config_major_version -lt $cln_min_major_version \) -o \
+-            \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -lt $cln_min_minor_version \) -o \
+-            \( $cln_config_major_version -eq $cln_min_major_version -a $cln_config_minor_version -eq $cln_min_minor_version -a $cln_config_micro_version -lt $cln_min_micro_version \); then
+-        echo -e "\n*** 'cln-config --version' returned $cln_config_major_version.$cln_config_minor_version.$cln_config_micro_version, but the minimum version"
+-        echo "*** of CLN required is $cln_min_major_version.$cln_min_minor_version.$cln_min_micro_version. If cln-config is correct, then it is"
+-        echo "*** best to upgrade to the required version."
+-        echo "*** If cln-config was wrong, set the environment variable CLN_CONFIG"
+-        echo "*** to point to the correct copy of cln-config, and remove the file"
+-        echo "*** config.cache before re-running configure."
+-        { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
+-echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
+-   { (exit 1); exit 1; }; }
++    if $PKG_CONFIG cln --atleast-version=${cln_min_version}; then
++       echo "Found cln >= ${cln_min_version}"
++       CLN_CPPFLAGS=`$PKG_CONFIG cln --cflags`
++       CLN_LIBS=`$PKG_CONFIG cln --libs`
+     else
+-        no_cln=""
+-        if test "x$enable_clntest" = "xyes" ; then
+-            ac_save_CPPFLAGS="$CPPFLAGS"
+-            ac_save_LIBS="$LIBS"
+-            CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
+-            LIBS="$LIBS $CLN_LIBS"
+-            rm -f conf.clntest
+-            if test "$cross_compiling" = yes; then
+-  echo $ac_n "cross compiling; assumed OK... $ac_c"
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-
+-#include <stdio.h>
+-#include <string.h>
+-#include <cln/version.h>
+-
+-/* we do not #include <stdlib.h> because autoconf in C++ mode inserts a
+-   prototype for exit() that conflicts with the one in stdlib.h */
+-extern "C" int system(const char *);
+-
+-int main(void)
+-{
+-    system("touch conf.clntest");
+-
+-    if ((CL_VERSION_MAJOR != $cln_config_major_version) ||
+-        (CL_VERSION_MINOR != $cln_config_minor_version) ||
+-        (CL_VERSION_PATCHLEVEL != $cln_config_micro_version)) {
+-        printf("\n*** 'cln-config --version' returned %d.%d.%d, but the header file I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
+-        printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", CL_VERSION_MAJOR, CL_VERSION_MINOR, CL_VERSION_PATCHLEVEL);
+-        printf("*** is corrupted or you have specified some wrong -I compiler flags.\n");
+-        printf("*** Please inquire and consider reinstalling CLN.\n");
+-        return 1;
+-    }
+-    if ((cln::version_major != $cln_config_major_version) ||
+-        (cln::version_minor != $cln_config_minor_version) ||
+-        (cln::version_patchlevel != $cln_config_micro_version)) {
+-        printf("\n*** 'cln-config --version' returned %d.%d.%d, but the library I found\n", $cln_config_major_version, $cln_config_minor_version, $cln_config_micro_version);
+-        printf("*** corresponds to %d.%d.%d. This mismatch suggests your installation of CLN\n", cln::version_major, cln::version_minor, cln::version_patchlevel);
+-        printf("*** is corrupted or you have specified some wrong -L compiler flags.\n");
+-        printf("*** Please inquire and consider reinstalling CLN.\n");
+-        return 1;
+-    }
+-    return 0;
+-}
+-
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  :
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-no_cln=yes
+-fi
+-rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-
+-
+-            CPPFLAGS="$ac_save_CPPFLAGS"
+-            LIBS="$ac_save_LIBS"
+-        fi
+-        if test "x$no_cln" = x ; then
+-            { echo "$as_me:$LINENO: result: yes, $cln_config_version" >&5
+-echo "${ECHO_T}yes, $cln_config_version" >&6; }
+-
+-     	LIBS="$LIBS $CLN_LIBS"
+-     	CPPFLAGS="$CPPFLAGS $CLN_CPPFLAGS"
+-
+-cat >>confdefs.h <<\_ACEOF
+-#define HAVE_LIBCLN 1
+-_ACEOF
+-
+-
+-        else
+-            { echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6; }
+-            if test ! -f conf.clntest ; then
+-                echo "*** Could not run CLN test program, checking why..."
+-                CPPFLAGS="$CFLAGS $CLN_CPPFLAGS"
+-                LIBS="$LIBS $CLN_LIBS"
+-                cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-
+-#include <stdio.h>
+-#include <cln/version.h>
+-
+-int
+-main ()
+-{
+- return 0;
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (ac_try="$ac_link"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_link") 2>conftest.er1
+-  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && {
+-	 test -z "$ac_cxx_werror_flag" ||
+-	 test ! -s conftest.err
+-       } && test -s conftest$ac_exeext &&
+-       $as_test_x conftest$ac_exeext; then
+-   echo "*** The test program compiled, but did not run. This usually means"
+-                  echo "*** that the run-time linker is not finding CLN or finding the wrong"
+-                  echo "*** version of CLN. If it is not finding CLN, you'll need to set your"
+-                  echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
+-                  echo "*** to the installed location. Also, make sure you have run ldconfig if that"
+-                  echo "*** is required on your system."
+-else
+-  echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-	 echo "*** The test program failed to compile or link. See the file config.log for the"
+-                  echo "*** exact error that occured. This usually means CLN was incorrectly installed"
+-                  echo "*** or that you have moved CLN since it was installed. In the latter case, you"
+-                  echo "*** may want to edit the cln-config script: $CLN_CONFIG."
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+-      conftest$ac_exeext conftest.$ac_ext
+-                CPPFLAGS="$ac_save_CPPFLAGS"
+-                LIBS="$ac_save_LIBS"
+-            fi
+-            CLN_CPPFLAGS=""
+-            CLN_LIBS=""
+-            { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
++	echo "ERROR: cln >= ${cln_min_version} not found"
++        { { echo "$as_me:$LINENO: error: No suitable installed version of CLN could be found." >&5
+ echo "$as_me: error: No suitable installed version of CLN could be found." >&2;}
+    { (exit 1); exit 1; }; }
+-        fi
+     fi
+ fi
+ 
+ 
+-rm -f conf.clntest
+ 
+ 
+ 
+@@ -24462,10 +24230,9 @@
+ FFLAGS!$FFLAGS$ac_delim
+ ac_ct_F77!$ac_ct_F77$ac_delim
+ LIBTOOL!$LIBTOOL$ac_delim
+-CLN_CONFIG!$CLN_CONFIG$ac_delim
++PKG_CONFIG!$PKG_CONFIG$ac_delim
+ CLN_CPPFLAGS!$CLN_CPPFLAGS$ac_delim
+ CLN_LIBS!$CLN_LIBS$ac_delim
+-PKG_CONFIG!$PKG_CONFIG$ac_delim
+ GLIB_CFLAGS!$GLIB_CFLAGS$ac_delim
+ GLIB_LIBS!$GLIB_LIBS$ac_delim
+ GTK_CFLAGS!$GTK_CFLAGS$ac_delim
+@@ -24498,7 +24265,7 @@
+ LTLIBOBJS!$LTLIBOBJS$ac_delim
+ _ACEOF
+ 
+-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 66; then
++  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 65; then
+     break
+   elif $ac_last_try; then
+     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff -ruN --exclude=CVS /tmp/portdev/math/qalculate/files/patch-src-Makefile /usr/ports/math/qalculate/files/patch-src-Makefile
--- /tmp/portdev/math/qalculate/files/patch-src-Makefile	1970-01-01 01:00:00.000000000 +0100
+++ /usr/ports/math/qalculate/files/patch-src-Makefile	2008-05-15 13:31:48.000000000 +0200
@@ -0,0 +1,11 @@
+--- src/Makefile.in.orig	2008-05-15 13:30:12.000000000 +0200
++++ src/Makefile.in	2008-05-15 13:30:14.000000000 +0200
+@@ -121,7 +121,7 @@
+ LIBGNOME_CFLAGS = @LIBGNOME_CFLAGS@
+ LIBGNOME_LIBS = @LIBGNOME_LIBS@
+ LIBOBJS = @LIBOBJS@
+-LIBS = @LIBS@
++LIBS = @LIBS@ @CLN_LIBS@
+ LIBTOOL = @LIBTOOL@
+ LN_QALCULATE = @LN_QALCULATE@
+ LN_S = @LN_S@
--- qalculate-0.9.6_1.patch ends here ---

>Release-Note:
>Audit-Trail:
>Unformatted:



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?E1JxTcN-00022f-TB>